local previousState = nil

function onEnter(player)
	getRoom().CameraLockMode = 0
end

function onStay(player)
	if previousState == 22 and player.StateMachine.State ~= 22 then
		getRoom().CameraLockMode = 0
	end
	
	previousState = player.StateMachine.State
end